#!/bin/sh -

# This shell script uses a commented list of images to make a 
# commented html table including them. Jenik Hollan, June 2002

# preparation of another sed script to modify the index.htm:
sed '
# discarding ev. trailing blanks:
s/[[:blank:]]*$//

# prologue for the heading:
1{i\
1i\\\
<H1>\\
}

# heading itself:
1,/^/{
s/$/\\/
s@^[[:blank:]]*\\$@</H1>@
}

# finding the commented image, whose line should end by "jpg:":
/\.jpg:/{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)@/ \2/{ s/<td>/<br>/\
i\\\
<td>@
s/://
 }


# inserting the commentary, which has to end by ":" on a separate line:
/\.jpg\//,/^[[:blank:]]*:[[:blank:]]*$/{
 s/$/\\/
 s/^\\$/\\\
<P>\\/
# s/^$/\\/
 s/^[[:blank:]]*:[[:blank:]]*\\/\
 }/
}

# discarding the non-commented images:
/\.jpg$/d

' listc.txt > listmod.sed

# modifying the index.htm by the script generated above:

if [ ! -f list.old.htm ]
 then
 mv list.htm list.old.htm
 sed -f listmod.sed list.old.htm >list.htm
fi

cd fit
if [ ! -f index.old.htm ]
 then
 mv index.htm index.old.htm
 sed -f ../listmod.sed index.old.htm >index.htm
fi

cd third
if [ ! -f index.old.htm ]
 then
 mv index.htm index.old.htm
 sed -f ../../listmod.sed index.old.htm >index.htm
fi

cd ../..
